com.icesoft.faces.component.panelborder

## Class PanelBorder

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGroup
        - - com.icesoft.faces.component.panelborder.PanelBorder

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class PanelBorder
      extends javax.faces.component.html.HtmlPanelGroup

  PanelBorder is a JSF component class that represent an ICEfaces border layout panel. The "north", "west", "east", "center" and "south" named facets represent the components responsible for rendering the north, west, east, center and south areas of the PanelBorder.

  This component extends the JSF HtmlPanelGroup component.

  By default this component is rendered by the "com.icesoft.faces.BorderLayout" renderer type.
  Version:
    beta 1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlPanelGroup

      `javax.faces.component.html.HtmlPanelGroup.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CENTER_LAYOUT`
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`
    `static java.lang.String` | `EAST_LAYOUT`
    `static java.lang.String` | `NORTH_LAYOUT`
    `static java.lang.String` | `SOUTH_LAYOUT`
    `static java.lang.String` | `WEST_LAYOUT`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelBorder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()`
    `java.lang.String` | `getBgcolor()`
    `java.lang.String` | `getBorder()`
    `java.lang.String` | `getCellpadding()`
    `java.lang.String` | `getCellspacing()`
    `javax.faces.component.UIComponent` | `getCenter()` Return the value of the `center` property.
    `java.lang.String` | `getCenterClass()` Return the value of the `centerClass` property.
    `java.lang.String` | `getDir()`
    `javax.faces.component.UIComponent` | `getEast()` Return the value of the `east` property.
    `java.lang.String` | `getEastClass()` Return the value of the `eastClass` property.
    `java.lang.String` | `getFamily()` Return the value of the `COMPONENT_FAMILY` of this component.
    `java.lang.String` | `getFrame()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getLayout()` Deprecated. Return the value of the `layout` property.
    `java.util.List` | `getLayoutAsList()`
    `javax.faces.component.UIComponent` | `getNorth()` Return the value of the `north` property.
    `java.lang.String` | `getNorthClass()` Return the value of the `northClass` property.
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRules()`
    `javax.faces.component.UIComponent` | `getSouth()` Return the value of the `south` property.
    `java.lang.String` | `getSouthClass()` Return the value of the `southClass` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getSummary()`
    `java.lang.String` | `getTitle()`
    `javax.faces.component.UIComponent` | `getWest()` Return the value of the `west` property.
    `java.lang.String` | `getWestClass()` Return the value of the `westClass` property.
    `java.lang.String` | `getWidth()`
    `boolean` | `isRenderCenter()`
    `boolean` | `isRenderEast()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isRenderNorth()`
    `boolean` | `isRenderSouth()`
    `boolean` | `isRenderWest()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setAlign(java.lang.String align)`
    `void` | `setBgcolor(java.lang.String bgcolor)`
    `void` | `setBorder(java.lang.String border)`
    `void` | `setCellpadding(java.lang.String cellpadding)`
    `void` | `setCellspacing(java.lang.String cellspacing)`
    `void` | `setDir(java.lang.String dir)`
    `void` | `setFrame(java.lang.String frame)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setLayout(java.lang.String layout)` Set the value of the `layout` property.
    `void` | `setRenderCenter(boolean renderCenter)`
    `void` | `setRenderEast(boolean renderEast)`
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setRenderNorth(boolean renderNorth)`
    `void` | `setRenderSouth(boolean renderSouth)`
    `void` | `setRenderWest(boolean renderWest)`
    `void` | `setRules(java.lang.String rules)`
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setSummary(java.lang.String summary)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### NORTH_LAYOUT

          public static final java.lang.String NORTH_LAYOUT

      See Also:
        Constant Field Values

    - #### WEST_LAYOUT

          public static final java.lang.String WEST_LAYOUT

      See Also:
        Constant Field Values

    - #### CENTER_LAYOUT

          public static final java.lang.String CENTER_LAYOUT

      See Also:
        Constant Field Values

    - #### EAST_LAYOUT

          public static final java.lang.String EAST_LAYOUT

      See Also:
        Constant Field Values

    - #### SOUTH_LAYOUT

          public static final java.lang.String SOUTH_LAYOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelBorder

          public PanelBorder()

  - ### Method Detail

    - #### getNorth

          public javax.faces.component.UIComponent getNorth()

      Return the value of the `north` property.

    - #### getWest

          public javax.faces.component.UIComponent getWest()

      Return the value of the `west` property.

    - #### getEast

          public javax.faces.component.UIComponent getEast()

      Return the value of the `east` property.

    - #### getCenter

          public javax.faces.component.UIComponent getCenter()

      Return the value of the `center` property.

    - #### getSouth

          public javax.faces.component.UIComponent getSouth()

      Return the value of the `south` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### getFamily

          public java.lang.String getFamily()

      Return the value of the `COMPONENT_FAMILY` of this component.

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setLayout

          public void setLayout(java.lang.String layout)

      Set the value of the `layout` property.

      Overrides:
        `setLayout` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getLayout

          public java.lang.String getLayout()

      Deprecated.

      Return the value of the `layout` property.

      Overrides:
        `getLayout` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getNorthClass

          public java.lang.String getNorthClass()

      Return the value of the `northClass` property.

    - #### getWestClass

          public java.lang.String getWestClass()

      Return the value of the `westClass` property.

    - #### getEastClass

          public java.lang.String getEastClass()

      Return the value of the `eastClass` property.

    - #### getCenterClass

          public java.lang.String getCenterClass()

      Return the value of the `centerClass` property.

    - #### getSouthClass

          public java.lang.String getSouthClass()

      Return the value of the `southClass` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlPanelGroup`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### setAlign

          public void setAlign(java.lang.String align)

    - #### setBorder

          public void setBorder(java.lang.String border)

    - #### setBgcolor

          public void setBgcolor(java.lang.String bgcolor)

    - #### setCellpadding

          public void setCellpadding(java.lang.String cellpadding)

    - #### setCellspacing

          public void setCellspacing(java.lang.String cellspacing)

    - #### setFrame

          public void setFrame(java.lang.String frame)

    - #### setHeight

          public void setHeight(java.lang.String height)

    - #### setRules

          public void setRules(java.lang.String rules)

    - #### setSummary

          public void setSummary(java.lang.String summary)

    - #### setWidth

          public void setWidth(java.lang.String width)

    - #### setDir

          public void setDir(java.lang.String dir)

    - #### setLang

          public void setLang(java.lang.String lang)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getAlign

          public java.lang.String getAlign()

      Returns:
        the value of align property

    - #### getBorder

          public java.lang.String getBorder()

      Returns:
        the value of border property

    - #### getBgcolor

          public java.lang.String getBgcolor()

      Returns:
        the value of bgcolor property

    - #### getCellpadding

          public java.lang.String getCellpadding()

      Returns:
        the value of cellpadding property

    - #### getCellspacing

          public java.lang.String getCellspacing()

      Returns:
        the value of cellspacing property

    - #### getFrame

          public java.lang.String getFrame()

      Returns:
        the value of frame property

    - #### getRules

          public java.lang.String getRules()

      Returns:
        the value of rules property

    - #### getSummary

          public java.lang.String getSummary()

      Returns:
        the value of summary property

    - #### getHeight

          public java.lang.String getHeight()

      Returns:
        the value of height property

    - #### getWidth

          public java.lang.String getWidth()

      Returns:
        the value of width property

    - #### getDir

          public java.lang.String getDir()

      Returns:
        the value of dir property

    - #### getLang

          public java.lang.String getLang()

      Returns:
        the value of lang property

    - #### getTitle

          public java.lang.String getTitle()

      Returns:
        the value of title property

    - #### isRenderCenter

          public boolean isRenderCenter()

    - #### setRenderCenter

          public void setRenderCenter(boolean renderCenter)

    - #### isRenderEast

          public boolean isRenderEast()

    - #### setRenderEast

          public void setRenderEast(boolean renderEast)

    - #### isRenderNorth

          public boolean isRenderNorth()

    - #### setRenderNorth

          public void setRenderNorth(boolean renderNorth)

    - #### isRenderSouth

          public boolean isRenderSouth()

    - #### setRenderSouth

          public void setRenderSouth(boolean renderSouth)

    - #### isRenderWest

          public boolean isRenderWest()

    - #### setRenderWest

          public void setRenderWest(boolean renderWest)

    - #### getLayoutAsList

          public java.util.List getLayoutAsList()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.